\chapter*{Preface}

This is an introduction to Beautiful Functional Web Programming. The
approach here is very much hands-on and conversational. Learning the
deeper fundamentals of programming is certainly important, but
pedagogically, drawing connections between what you know and how to
express it in code is far more important to begin with. All teaching
starts with where you're at, and grows from there.

The first part will introduce some of the common tools used for
software projects, and some easy habits to form so that you'll always
have a way back to a known good point.

At the end of this part, you'll have a simple but beautiful Responsive
web application. You'll be able to view it from your computer, from
your phone, a tablet, a television, or anything else that can show a
web page. You'll also see the beauty of even the basic Responsive
Design elements from the introduction.

Each section also has usable code samples that can be put directly
into a file and run interactively. Any of these can serve as a module
for more complex applications. All of these modules demonstrate just
how deep the idea of composition is for building larger and larger
systems while keeping the complexity of the code in line with the
complexity of the system it's representing.

%%% Local Variables:
%%% mode: latex
%%% TeX-master: "HaskellWeb"
%%% TeX-engine: xetex
%%% End:
